Determine Poco Version

Please post support and help requests here.
kapuzineralex
Posts: 2
Joined: 05 Jun 2009, 17:06

Determine Poco Version

Postby kapuzineralex » 05 Jun 2009, 17:09

Hello,

I'm currently looking for a simple way to determine Poco's version. Unfortunately the header files do not contain any corresponding defines, or maybe I just didn't find them.
If anybody had a hint how to achieve this I'd very much appreciate that.

guenter
Posts: 1192
Joined: 11 Jul 2006, 16:27
Location: Austria

Re: Determine Poco Version

Postby guenter » 17 Jun 2009, 08:23

1.3.6 will have a POCO_VERSION macro in Poco/Foundation.h

kapuzineralex
Posts: 2
Joined: 05 Jun 2009, 17:06

Re: Determine Poco Version

Postby kapuzineralex » 17 Jun 2009, 08:44

Thanks for the information. Until now I've been using autoconf to check whether certain classes, e.g. Poco::AtomicCounter indiciating 1.3.4+, are supported. Having POCO_VERSION will simplify things a lot.


Return to “Support”

Who is online

Users browsing this forum: No registered users and 1 guest

cron